Set-contest:      Central European 1997 ACM Contest
Set-name:         Central European 1997
Set-date:         1997
Set-URL:          http://www.fmph.uniba.sk/acm/index.html
Set-id:           ceeu1997
Set-description:  Bratislava, Slovak Republic
Set-text:         cerc97.ps
Set-errata:       errata.txt
Set-archive:      set_ceeu1997.tgz
Set-solution-archive: ceeu1997.tgz

Problem:         A
Name:            Rails
Description:     PopPush railway station
Class:           combinatory
Subclass:        sequences
Class:           compilers
Subclass:        generic
Algorithm:       stack
Solution:        rails.c
Input:           rails.in
Output:          rails.out
Solution:        rails2.cpp
Input:           rails2.in
Input-generator: rails_gen.c

Problem:         B
Name:            King
Description:     solve set of inequations in the special form
Class:           numbers
Subclass:        algebra
Algorithm:       tricky
Solution:        king.c
Input:           king.in
Output:          king.out
Solution:        king2.cpp

Problem:         C
Name:            Prime Land
Description:     number to prime factors and vice versa
Class:           numbers
Subclass:        primes
Algorithm:       table of greatest prime divisors
Solution:        primelnd.c
Input:           primelnd.in
Output:          primelnd.out
Solution:        primelnd2.cpp
Input:           primelnd2.in
Input-generator: primelnd_gen.c

Problem:         D
Name:            Word
Description:     n applications of L-system
Class:           compilers
Subclass:        grammars
Algorithm:       find cycle, O(cycle_length)
Solution:        word.c
Input:           word.in
Output:          word.out
Solution:        word2.cpp
Input:           word2.in
Input-generator: word_gen.c

Problem:         E
Name:            Time
Description:     calculate difference of two times
Class:           date, time
Subclass:        standard
Algorithm:       direct
Solution:        mytime.c
Input:           mytime.in
Output:          mytime.out
Solution:        mytime2.cpp
Input:           mytime2.in
Input-generator: mytime_gen.c

Problem:         F
Name:            Puzzle
Description:     puzzle solving
Class:           games
Subclass:        puzzle
Algorithm:       backtrack with restrains, exponential
Solution:        puzzle.c
Input:           puzzle.in
Output:          puzzle.out
Solution:        puzzle2.cpp
Input:           puzzle2.in
Input-generator: puzzle_gen.c

Problem:         G
Name:            Append
Description:     LZ unpacker simulation
Class:           compression
Subclass:        LZ
Algorithm:       queue, linear
Solution:        append.c
Input:           append.in
Output:          append.out
Input:           append2.in
Solution:        append2.pas
Input-generator: append_gen.c

Problem:         H
Name:            Gossiping
Description:     connectivity in indirectly specified graph
Class:           graphs
Subclass:        connectivity
Algorithm:       ad hoc
Solution:        gossip.c
Input:           gossip.in
Output:          gossip.out
Solution:        gossip2.cpp
